Bug 140280 - Crash in: KERNELBASE.dll when double click a slide content box and file is opened read-only
Summary: Crash in: KERNELBASE.dll when double click a slide content box and file is op...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.2.0 target:7.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-02-08 21:54 UTC by Sebastiaan Veld
Modified: 2021-02-12 15:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["KERNELBASE.dll"]


Attachments
sample file (12.00 KB, application/vnd.oasis.opendocument.presentation)
2021-02-08 22:30 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastiaan Veld 2021-02-08 21:54:06 UTC
This bug was filed from the crash reporting server and is br-b51ac1ef-b67a-4ae6-b9fa-5d40b121e906.
=========================================
Problem: 
I clicked an ODP file from a website which was downloaded in TEMP and then read-only opened in LO (7.1.0.3). I was clicking in the presentation to try to copy some content but LO crashed as I double clicked a content box on the slide. I found that this can be duplicated setting the read-only flag on any odp file and then open it in LO.

Steps to duplicate:
* Mark an odp file ready-only
* Open the file in LO, it will be openend read-only
* On any slide, double click on a content box and LO will crash.

I think this is due to the content box looks movable as when you hoover over it with the mouse the pointer changes to a move-arrow. Guess that is not working well with RO files.
Comment 1 Xisco Faulí 2021-02-08 22:19:58 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 Xisco Faulí 2021-02-08 22:21:36 UTC
I can reproduce it in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 40b56cd8da8c38582dc4660b486993d1b4711535
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Xisco Faulí 2021-02-08 22:29:49 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5d296183072dc7cfe7a9985c38388b56f37d873c

author	Miklos Vajna <vmiklos@collabora.com>	2020-06-26 16:35:34 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2020-06-26 17:55:31 +0200
commit	5d296183072dc7cfe7a9985c38388b56f37d873c (patch)
tree	558cd1a97c213bf60370960e75655c7e91bab9d6
parent	3d37d591377fe532fc0d32e9fbc8e57b8ded6768 (diff)
sd signature line: allow move / resize of shape before signing

Bisected with: bibisect-linux64-7.1

Adding Cc: to Miklos Vajna
Comment 4 Xisco Faulí 2021-02-08 22:30:07 UTC
Created attachment 169601 [details]
sample file
Comment 5 Miklos Vajna 2021-02-09 13:16:42 UTC
I'll take a look.
Comment 6 Commit Notification 2021-02-11 08:08:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c76e6307b6cf33bda0cfa12647ed0342aecc1b29

tdf#140280 sfx2: fix crash on double-clicking a no-sign shape in read-only mode

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-02-11 11:03:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/430ab72c2cf785cd99e3275d9b76349aa9d5352c

tdf#140280 sfx2: fix crash on double-clicking a no-sign shape in read-only mode

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2021-02-11 19:10:19 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 0c262229337c43f125d8931cba40ab432f51a851
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 9 Commit Notification 2021-02-12 10:40:59 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-1":

https://git.libreoffice.org/core/commit/cfb5013b0b8bd85536a053df4b17b6abd419718d

tdf#140280 sfx2: fix crash on double-clicking a no-sign shape in read-only mode

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.